nn.pp.rccore

## Enum ITerminalBlockInputSettings.UserAccess

- java.lang.Object
- - java.lang.Enum<ITerminalBlockInputSettings.UserAccess>
  - - nn.pp.rccore.ITerminalBlockInputSettings.UserAccess

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ITerminalBlockInputSettings.UserAccess>
  Enclosing interface:
    ITerminalBlockInputSettings

      public static enum ITerminalBlockInputSettings.UserAccess
      extends java.lang.Enum<ITerminalBlockInputSettings.UserAccess>

  The access state for users

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FULL` The user has full access
    `NONE` The user has no access
    `VIDEO_ONLY` The user has read-only access (video, but no keyboard/mouse)

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ITerminalBlockInputSettings.UserAccess` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ITerminalBlockInputSettings.UserAccess[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ITerminalBlockInputSettings.UserAccess NONE

      The user has no access

    - #### VIDEO_ONLY

          public static final ITerminalBlockInputSettings.UserAccess VIDEO_ONLY

      The user has read-only access (video, but no keyboard/mouse)

    - #### FULL

          public static final ITerminalBlockInputSettings.UserAccess FULL

      The user has full access

  - ### Method Detail

    - #### values

          public static ITerminalBlockInputSettings.UserAccess[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ITerminalBlockInputSettings.UserAccess c : ITerminalBlockInputSettings.UserAccess.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ITerminalBlockInputSettings.UserAccess valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.